# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class EventSourceParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.google.gdata.util.XmlParser
              com.google.gdata.util.EventSourceParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class EventSourceParser

extends XmlParser

An xml parser that can also handle parsing events from an `XmlEventSource`.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.util.XmlParser
`XmlParser.ElementHandler`

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser
`namespaceMap, rootElementName, rootHandler, rootNamespace`

Constructor Summary
`EventSourceParser(XmlParser.ElementHandler rootHandler, java.lang.String rootNamespace, java.lang.String rootElementName)`

Method Summary
`void` `parse(XmlEventSource source)`

Methods inherited from class com.google.gdata.util.XmlParser
`characters, endElement, endPrefixMapping, ignorableWhitespace, parse, parse, parse, parse, setDocumentLocator, startElement, startPrefixMapping, throwParseException`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, error, fatalError, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventSourceParser

    public EventSourceParser(XmlParser.ElementHandler rootHandler,
                             java.lang.String rootNamespace,
                             java.lang.String rootElementName)

Method Detail

### parse

    public void parse(XmlEventSource source)
               throws ParseException,
                      java.io.IOException

  Throws:
    `ParseException`
    `java.io.IOException`